| Face Engine SDK 5.31.2 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::ICredibilityCheckEstimator Struct Referenceabstract
Estimators

CredibilityCheck estimator interface. More...

`#include <ICredibilityCheckEstimator.h>`

Inheritance diagram for fsdk::ICredibilityCheckEstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const Image &warp, CredibilityCheckEstimation &out) const noexcept=0
| Estimate the reliability of person. More...
virtual Result< FSDKError > | estimate (Span< const Image > warps, Span< CredibilityCheckEstimation > out) const noexcept=0
| Estimate the reliability of persons on multiple frames in a single estimate function call. More...
virtual Result< FSDKError > | validate (Span< const Image > warps, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

CredibilityCheck estimator interface.

Note
  This estimator is designed for person reliability estimation. It works with warped image

See also
  IWarper for details.

## Member Function Documentation

## ◆ estimate() [1/2]

virtual Result<FSDKError> fsdk::ICredibilityCheckEstimator::estimate | ( | const Image & | warp,
|  | CredibilityCheckEstimation & | out
| ) |  | const
| pure virtual noexcept

Estimate the reliability of person.

Parameters

  [in] | warp | image with warped face.
  [out] | out | output structure.

Returns
  Result with error code.

See also
  CredibilityCheckEstimation, Image, Result and FSDKError for details.

Note
  warp format must be R8G8B8,

See also
  Format.

## ◆ estimate() [2/2]

virtual Result<FSDKError> fsdk::ICredibilityCheckEstimator::estimate | ( | Span< const Image > | warps,
|  | Span< CredibilityCheckEstimation > | out
| ) |  | const
| pure virtual noexcept

Estimate the reliability of persons on multiple frames in a single estimate function call.

Parameters

  [in] | warps | span of images with warped faces.
  [out] | out | output span of CredibilityCheckEstimation for each image;

Returns
  Result with error code.

See also
  Span, CredibilityCheckEstimation, Image, Result and FSDKError for details.

Note
  warps format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ validate()

virtual Result<FSDKError> fsdk::ICredibilityCheckEstimator::validate | ( | Span< const Image > | warps,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | warps | span of images with warped faces.
  [out] | errors | output span of errors for each image.

Returns
  Result with error code.

See also
  Span, Image, Result and FSDKError for details.

Note
  warps format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/ICredibilityCheckEstimator.h